<div nz-row nzJustify="center" nzGutter="12" style="padding-top: 10px">
  <div nz-col nzSpan="16" *ngIf="nzModalData.sourceCompany.industryRaw">
    <nz-card nzTitle="{{ 'Economy.Company.CompanyQuality' | translate }}" nzSize="small">
      <div nz-row nzJustify="center" style="text-align: center">
        <div nz-col nzSpan="8">
          <div>
            <button
              nz-button
              nzType="primary"
              nzShape="round"
              nzDanger
              [disabled]="nzModalData.sourceCompany.quality === 1"
              nz-popconfirm
              nzPopconfirmTitle="{{ 'Economy.Company.UpgradeQualityConfirm' | translate }}"
              (nzOnConfirm)="downgrade()"
            >
              <i class="fas fa-arrow-down" style="margin-right: 5px"></i>
              {{ 'Citizen.Company.Downgrade' | translate }}
            </button>
          </div>
          <span *ngIf="nzModalData.sourceCompany.quality > 1">
            ({{ 'Citizen.Company.Recover' | translate }}: {{ downgradeCost[nzModalData.sourceCompany.quality - 1] }} {{ 'Economy.Currencies.Gold' | translate }})
          </span>
        </div>
        <div nz-col nzSpan="8">
          <h4>{{ 'Citizen.Company.CurrentQuality' | translate }}</h4>
          <nz-rate [ngModel]="nzModalData.sourceCompany.quality" nzCount="3"></nz-rate>
        </div>
        <div nz-col nzSpan="8">
          <div>
            <button
              nz-button
              nzType="primary"
              nzShape="round"
              nzDanger
              [disabled]="nzModalData.sourceCompany.quality === 3"
              nz-popconfirm
              nzPopconfirmTitle="{{ 'Economy.Company.UpgradeQualityConfirm' | translate }}"
              (nzOnConfirm)="upgrade()"
              style="background-color: green; border-color: green"
            >
              <i class="fas fa-arrow-up" style="margin-right: 5px"></i>
              {{ 'Citizen.Company.Upgrade' | translate }}
            </button>
          </div>
          <span *ngIf="nzModalData.sourceCompany.quality < 3">
            ({{ 'Citizen.Company.Cost' | translate }}: {{ upgradeCost[nzModalData.sourceCompany.quality] }} {{ 'Economy.Currencies.Gold' | translate }})
          </span>
        </div>
      </div>
    </nz-card>
  </div>
  <div nz-col nzSpan="8">
    <nz-card nzTitle="{{ 'Citizen.Company.companyDissolve' | translate }}" nzSize="small">
      <div style="text-align: center">
        <button
          nz-button
          nzShape="round"
          nzType="primary"
          nzDanger
          style="width: 100%"
          nz-popconfirm
          nzPopconfirmTitle="{{ 'Citizen.Company.rysActionReverted' | translate }}"
          (nzOnConfirm)="dissolve()"
          [disabled]="nzModalData.sourceCompany.quality > 1"
        >
          <i class="far fa-trash-alt" style="margin-right: 10px"></i>
          {{ 'Citizen.Company.Dissolve' | translate }}
        </button>
        ({{ 'Citizen.Company.Recover' | translate }}: 10 {{ 'Economy.Currencies.Gold' | translate }})
      </div>
    </nz-card>
  </div>
</div>
